%define release %mkrel 1

Summary: Memory game
Name: lpairs
Version: 1.0.3
Release: %release
URL: http://lgames.sourceforge.net/index.php?project=LPairs
Source0: http://peterhost.dl.sourceforge.net/sourceforge/lgames/%{name}-%{version}.tar.gz
License: GPLv2+
Group: Games/Puzzles
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: SDL-devel
BuildRequires: libSDL_mixer-devel
BuildRequires: X11-devel
BuildRequires: alsa-lib-devel
BuildRequires: filesystem
BuildRequires: esound-devel
BuildRequires: texinfo

%description
LPairs is a classical memory game. This means you have to find pairs of
identical cards which will then be removed. Your time and tries needed will be
counted but there is no highscore chart or limit to this.

%prep
%setup -q

%build
%configure \
 --localstatedir=%{_localstatedir}/games
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall inst_dir="$RPM_BUILD_ROOT%{_gamesdatadir}/%{name}" bindir="$RPM_BUILD_ROOT%{_gamesbindir}"

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Categories=Game;LogicGame;
Name=LPairs
Comment=Memory game
Exec=/usr/games/lpairs
EOF

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/*
%{_datadir}/applications/mandriva-%{name}.desktop


%changelog
* Wed Mar 05 2008 Guillaume Bedot <littletux@mandriva.org> 1.0.3-1mdv2008.1
+ Revision: 179892
- 1.0.3

* Sat Jan 26 2008 Funda Wang <fundawang@mandriva.org> 1.0.1-2mdv2008.1
+ Revision: 158189
- fix menu entry

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.1-1mdv2008.1
+ Revision: 133909
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request
- buildrequires X11-devel instead of XFree86-devel
- import lpairs


* Wed Jul 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.1-1mdk
- 1.0.1

* Fri Jul 01 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.0-2mdk
- Rebuild

* Thu Jan 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.0-1mdk
- Initial MDK release (for Pablo)
